# Interface IRequestParams

interface IRequestParams {
data: {
[key: string]: any;
};
params: {
[key: string]: any;
};
query: {
[key: string]: any;
};
req: Request<ParamsDictionary, any, any, ParsedQs, Record<string, any>>;
res: Response<any, Record<string, any>>;
}

- Defined in src/controllers/_controller.ts:9

#####
Index

### Properties

data
params
query
req
res

## Properties

### data

data: {
[key: string]: any;
}

#### Type declaration

- ##### [key: string]: any

- Defined in src/controllers/_controller.ts:13

### params

params: {
[key: string]: any;
}

#### Type declaration

- ##### [key: string]: any

- Defined in src/controllers/_controller.ts:16

### query

query: {
[key: string]: any;
}

#### Type declaration

- ##### [key: string]: any

- Defined in src/controllers/_controller.ts:10

### req

req: Request<ParamsDictionary, any, any, ParsedQs, Record<string, any>>

- Defined in src/controllers/_controller.ts:20

### res

res: Response<any, Record<string, any>>

- Defined in src/controllers/_controller.ts:19

Generated using TypeDoc